#pragma once
#include "ffglquickstart/Plugin.h"

class AddSubtract : public Plugin
{
public:
	AddSubtract();
	~AddSubtract();

	//PluginBase overrides
	ffgl::FFResult InitGL( const ffgl::ViewportStruct* vp ) override;
	ffgl::FFResult ProcessOpenGL( ffgl::ProcessOpenGLStruct* pGL ) override;
	ffgl::FFResult DeInitGL() override;

	//The mixer short name
	const char* GetShortName() override
	{
		static const char* sname = "AddSub";
		return sname;
	}

private:
	ffglex::Shader shader;   //!< Utility to help us compile and link some shaders into a program.
	ffglex::ScreenQuad quad; //!< Utility to help us render a full screen quad.
};
